Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc
Interface XMLDecryptContext

All Superinterfaces:
  XMLCryptoContext

All Known Implementing Classes:
  DOMDecryptContext

    public interface XMLDecryptContext

extends XMLCryptoContext

Contains context information for decrypting XML `EncryptedType` structures. This interface is primarily intended for type-safety.

See Also:
  `EncryptedData.decrypt(javax.xml.crypto.enc.XMLDecryptContext)`, `EncryptedData.decryptAndReplace(javax.xml.crypto.enc.XMLDecryptContext)`, `EncryptedKey.decrypt(javax.xml.crypto.enc.XMLDecryptContext)`

Method Summary
`EncryptionMethod` | `getEncryptionMethod()` Returns the EncryptionMethod for decryption if the EncryptionMethod is absent from the EncryptedType
`void` | `setEncryptionMethod(EncryptionMethod encMethod)` Specifies the EncryptionMethod for decryption if the EncryptionMethod is absent from the EncryptedType

Methods inherited from interface javax.xml.crypto.XMLCryptoContext
`get, getBaseURI, getDefaultNamespacePrefix, getKeySelector, getNamespacePrefix, getProperty, getURIDereferencer, put, putNamespacePrefix, setBaseURI, setDefaultNamespacePrefix, setKeySelector, setProperty, setURIDereferencer`

Method Detail

### getEncryptionMethod

    EncryptionMethod getEncryptionMethod()

  Returns the EncryptionMethod for decryption if the EncryptionMethod is absent from the EncryptedType

  Returns:
    the EncryptionMethod for decryption

### setEncryptionMethod

    void setEncryptionMethod(EncryptionMethod encMethod)

  Specifies the EncryptionMethod for decryption if the EncryptionMethod is absent from the EncryptedType

  Parameters:
    `encMethod` - the EncryptionMethod for decryption

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org